# As long as cdogs-sdl uses the freeware data from the original C-Dogs
# it has to be submitted to the nonfree repo

Name:           cdogs-sdl
Version:        0.5.7
Release:        %mkrel 1
Summary:        Open source, classic overhead run-and-gun game
Group:          Games/Arcade
License:        GPLv2 and BSD
URL:            http://cxong.github.io/cdogs-sdl/
# Archive from github with submodules
Source0:        %{name}-%{version}.tar.xz
Patch0:         cdogs-sdl-0.5.7-mga-cmakelists.patch
Patch1:         cdogs-sdl-0.5.7-mga-glibc-_BSD_SOURCE.patch

BuildRequires:  cmake
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)

%description
C-Dogs SDL is a classic overhead run-and-gun game, supporting up to
4 players in co-op and deathmatch modes. Customize your player, choose
from up to 11 weapons, and try over 100 user-created campaigns. Have fun!

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build

%files
%doc README.md doc/AUTHORS doc/README_DATA doc/original_readme.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png


%changelog
* Thu Mar 05 2015 akien <akien> 0.5.7-1.mga5
+ Revision: 817779
- Version 0.5.7, built against system physfs

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5.1-3.mga5.nonfree
+ Revision: 745871
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 umeabot <umeabot> 0.5.5.1-2.mga5.nonfree
+ Revision: 724523
- Mageia 5 Mass Rebuild

* Wed May 14 2014 akien <akien> 0.5.5.1-1.mga5.nonfree
+ Revision: 622672
- Version 0.5.5.1

* Wed Mar 05 2014 akien <akien> 0.5.4-2.mga5.nonfree
+ Revision: 599943
- Fix CMakeLists.txt patch to keep the CREDITS in %%_gamesdatadir/%%name/doc/, it's needed at runtime

* Tue Mar 04 2014 akien <akien> 0.5.4-1.mga5.nonfree
+ Revision: 599493
- imported package cdogs-sdl

